Bug 737046 - Use tgtadm from scsi-target-utils instead of ietadm
Use tgtadm from scsi-target-utils instead of ietadm
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openstack-nova (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mark McLoughlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-09 09:07 EDT by Mark McLoughlin
Modified: 2011-10-13 00:37 EDT (History)
5 users (show)

See Also:
Fixed In Version: openstack-nova-2011.3-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-13 00:37:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2011-09-09 09:07:17 EDT
I've forgotten the details, but basically the iSCSI enterprise target project (aka iet):

  http://iscsitarget.sourceforge.net/

never went into the upstream kernel and never got into Fedora (see bug #197867)

The tgt project:

  http://stgt.sourceforge.net/

did get its kernel module upstream and is packaged in Fedora as scsi-target-utils

Nova upstream uses ietadm from the former, but this isn't available in Fedora. We should use tgtadm instead

Ubuntu's Chuck Short has done some work along these lines:

  https://bugs.launchpad.net/nova/+bug/819997

A more recent proposal of his is to add an --iscsi_helper flag to allow choosing between the two
Comment 1 Mark McLoughlin 2011-09-09 09:19:01 EDT
(In reply to comment #0)

> A more recent proposal of his is to add an --iscsi_helper flag to allow
> choosing between the two

Meant to include a link to that:

  https://code.launchpad.net/~zulcss/nova/nova-iscsi-choice
Comment 2 Mark McLoughlin 2011-09-19 06:34:51 EDT
I did some work on Chuck's --iscsi_helper patch:

  https://code.launchpad.net/~markmc/nova/iscsi-tgtadm-choice/+merge/75906

and included in our package:

* Mon Sep 19 2011 Mark McLoughlin <markmc@redhat.com> - 2011.3-0.10.d4
- Use tgtadm instead of ietadm (#737046)
Comment 3 Fedora Update System 2011-09-20 06:42:12 EDT
openstack-nova-2011.3-0.10.d4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openstack-nova-2011.3-0.10.d4.fc16
Comment 4 Fedora Update System 2011-09-20 15:05:23 EDT
Package openstack-nova-2011.3-0.10.d4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openstack-nova-2011.3-0.10.d4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/openstack-nova-2011.3-0.10.d4.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-09-22 10:43:50 EDT
openstack-nova-2011.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openstack-nova-2011.3-1.fc16
Comment 6 Fedora Update System 2011-09-28 12:08:05 EDT
openstack-nova-2011.3-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openstack-nova-2011.3-3.fc16
Comment 7 Fedora Update System 2011-10-13 00:37:19 EDT
openstack-nova-2011.3-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.